浏览代码

Use zenity to set the initial username on mesh client

Bob Mottram 7 年前
父节点
当前提交
7800ebf4ec
共有 2 个文件被更改,包括 9 次插入13 次删除
  1. 8
    12
      src/freedombone-image-customise
  2. 1
    1
      src/meshavahi

+ 8
- 12
src/freedombone-image-customise 查看文件

779
     echo '' >> $START_DESKTOP
779
     echo '' >> $START_DESKTOP
780
     echo 'INITIAL_TOX_USERNAME=""' >> $START_DESKTOP
780
     echo 'INITIAL_TOX_USERNAME=""' >> $START_DESKTOP
781
     echo 'while [ ${#INITIAL_TOX_USERNAME} -eq 0 ]; do' >> $START_DESKTOP
781
     echo 'while [ ${#INITIAL_TOX_USERNAME} -eq 0 ]; do' >> $START_DESKTOP
782
-    echo '  data=$(tempfile 2>/dev/null)' >> $START_DESKTOP
783
-    echo '  trap "rm -f $data" 0 1 2 5 15' >> $START_DESKTOP
784
-    echo -n "   dialog --title \"${MESH_TITLE}\" " >> $START_DESKTOP
785
-    echo -n "--backtitle \"${MESH_TITLE}\" " >> $START_DESKTOP
786
-    echo -n "--inputbox \"${MESH_SET_USERNAME}\" 12 60 Anon " >> $START_DESKTOP
787
-    echo '2>$data' >> $START_DESKTOP
788
-    echo '  sel=$?' >> $START_DESKTOP
789
-    echo '  case $sel in' >> $START_DESKTOP
790
-    echo '      0)' >> $START_DESKTOP
791
-    echo '          INITIAL_TOX_USERNAME=$(<$data)' >> $START_DESKTOP
792
-    echo '          ;;' >> $START_DESKTOP
793
-    echo '  esac' >> $START_DESKTOP
782
+    echo "  data=\$(zenity --forms --title=\"$MESH_TITLE\" --text=\"$MESH_SET_USERNAME\" --separator=\",\" --add-entry=\"Username\")" >> $START_DESKTOP
783
+    echo '  accepted=$?' >> $START_DESKTOP
784
+    echo '  if ((accepted == 0)); then' >> $START_DESKTOP
785
+    echo "      INITIAL_TOX_USERNAME=\$(awk -F, '{print \$1}' <<<\$data)" >> $START_DESKTOP
786
+    echo '  fi' >> $START_DESKTOP
794
     echo 'done' >> $START_DESKTOP
787
     echo 'done' >> $START_DESKTOP
795
     echo '' >> $START_DESKTOP
788
     echo '' >> $START_DESKTOP
796
     echo 'toxid --setuser "$INITIAL_TOX_USERNAME"' >> $START_DESKTOP
789
     echo 'toxid --setuser "$INITIAL_TOX_USERNAME"' >> $START_DESKTOP
892
     # audio recording
885
     # audio recording
893
     chroot "$rootdir" apt-get -yq install audacity
886
     chroot "$rootdir" apt-get -yq install audacity
894
 
887
 
888
+    # for gtk dialog entry
889
+    chroot "$rootdir" apt-get -yq install zenity
890
+
895
     # Produce a text file on the desktop listing users on the mesh
891
     # Produce a text file on the desktop listing users on the mesh
896
     cat <<EOF > $rootdir/usr/bin/list-tox-users
892
     cat <<EOF > $rootdir/usr/bin/list-tox-users
897
 #!/bin/bash
893
 #!/bin/bash

+ 1
- 1
src/meshavahi 查看文件

147
     # Produce notifications if new users appear
147
     # Produce notifications if new users appear
148
     if [ -f $PREV_TOX_USERS_FILE ]; then
148
     if [ -f $PREV_TOX_USERS_FILE ]; then
149
         while IFS='' read -r line || [[ -n "$line" ]]; do
149
         while IFS='' read -r line || [[ -n "$line" ]]; do
150
-            if [[ $line != "Failed*" && $line != "data "* && $line != "Anon "* && $line != "anon "* ]]; then
150
+            if [[ $line != "Failed*" && $line != "data "* && $line != "Anon "* && $line != "anon "* && $line != "anonymous "* && $line != "Anonymous "* ]]; then
151
                 if ! grep -q "$line" $PREV_TOX_USERS_FILE; then
151
                 if ! grep -q "$line" $PREV_TOX_USERS_FILE; then
152
                     # get the nick of the user
152
                     # get the nick of the user
153
                     toxidstr=$(echo "$line" | awk -F ' ' '{print $(NF)}')
153
                     toxidstr=$(echo "$line" | awk -F ' ' '{print $(NF)}')